%bcond_without tests

Summary:        A python package that provides useful locks
Name:           python-fasteners
Version:        0.18
Release:        4%{?dist}
License:        Apache-2.0
URL:            https://github.com/harlowja/fasteners
Source0:        %{url}/archive/%{version}/fasteners-%{version}.tar.gz
Patch3000:      %{url}/commit/80a3eaed75276faf21034e7e6c626fd19485ea39.patch

BuildRequires:  python3-devel

BuildArch:      noarch

%description
This package provides cross platform locks for threads and processes.

%package -n python3-fasteners
Summary:        A python package that provides useful locks
Provides:       python-fasteners-doc = %{version}-%{release}

%description -n python3-fasteners 
This package provides cross platform locks for threads and processes.


%prep
%autosetup -p1 -n fasteners-%{version}
sed -r -i '/\b(diskcache)\b/d' requirements-test.txt


%generate_buildrequires
%pyproject_buildrequires %{?with_tests:requirements-test.txt}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files fasteners


%check
%if %{with tests}
%pytest --ignore=tests/test_reader_writer_lock.py -v
%endif


%files -n python3-fasteners -f %{pyproject_files}
%doc CHANGELOG.md README.md


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 19 2022 Wang Guodong <gordonwwang@tencent.com> - 0.18-1
- package init.
